contracts / Cash / State

# State

`data class State : OwnableState`

A state representing a cash claim against some party

### Constructors

<init> | `State(deposit: PartyReference, amount: Amount, owner: PublicKey)` A state representing a cash claim against some party

### Properties

amount | `val amount: Amount`
deposit | `val deposit: PartyReference` Where the underlying currency backing this ledger entry can be found (propagated)
owner | `val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount
programRef | `val programRef: <ERROR CLASS>` Refers to a bytecode program that has previously been published to the network. This contract program will be executed any time this state is used in an input. It must accept in order for the transaction to proceed.

### Functions

toString | `fun toString(): String`
withNewOwner | `fun withNewOwner(newOwner: PublicKey): <ERROR CLASS>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone